@import '../../styles/shared';

$image-width: 350px;
$image-margin: 90px;
$image-right: -($image-margin + calc($image-width / 2));
$title-margin: 52px;
$container-mobile-padding: 50px;

// animations
$container-appear-delay: 1s;
$container-appear-duration: 2s;
$heading-appear-delay: $container-appear-delay + $container-appear-duration;
$heading-appear-duration: 1s;
$content-appear-delay: $heading-appear-delay + $heading-appear-duration;
$content-appear-duration: 1s;

@keyframes move-left {
  0% {
    right: $image-right;
  }

  100% {
    right: 0;
  }
}

.about-page {
  align-items: center;
  display: flex;
  height: 100vh;
  justify-content: center;
}

.about-image,
.about-content {
  max-height: 433px; // hardcode so that image and content have the same height
  max-width: $image-width;
}

.about-content {
  animation: $content-appear-duration ease-out $content-appear-delay 1 fade-in forwards;
  opacity: 0;
  overflow: scroll;
}

.about-image {
  animation: $content-appear-duration ease-out $content-appear-delay 1 move-left forwards;
  margin-right: $image-margin;
  position: relative;
  right: $image-right;
}

.about-image-container {
  animation: $container-appear-duration ease-out $container-appear-delay 1 fade-in forwards;
  opacity: 0;
  position: relative;
}

.about-name,
.about-title {
  animation: $heading-appear-duration ease-out $heading-appear-delay 1 fade-out forwards;
  position: absolute;
  z-index: 1;
}

.about-name {
  left: -$image-right;
  margin-left: -256px;
  margin-top: $title-margin;
  top: 0;
}

.about-title {
  bottom: 0;
  left: -$image-right + $image-width;
  margin-bottom: $title-margin;
  margin-left: -76px;
}

.three-rows-view {
  display: none;
}

.brands-container {
  display: flex;
  justify-content: space-between;

  &:not(:last-child) {
    margin: 20px 0 35px;
  }
}

@media screen and (min-width: calc($max-tablet-width + 1px)) {
  .about-container .paragraph:first-child .paragraph-title {
    padding-top: 0;
  }

  .about-content {
    $gradient-height: 48px;
    $mask-image: linear-gradient(to bottom, $black calc(100% - $gradient-height), transparent 100%);

    -webkit-mask-image: $mask-image;
    mask-image: $mask-image;

    .paragraph:last-child {
      margin-bottom: $gradient-height;
    }
  }
}

@media screen and (max-width: $max-tablet-width) {
  .about-image,
  .about-content {
    max-height: none;
  }

  .about-page {
    @include fast-fade-in;
 
    flex-direction: column;
    height: auto;
    padding: $container-mobile-padding 0;
  }

  .about-container .home-link {
    @include no-animation;
  }

  .about-image-container {
    animation: none;
    opacity: 1;
    padding-bottom: 40px;
  }

  .about-image {
    animation: none;
    margin-right: 0;
    position: static;
  }

  .about-content {
    animation: none;
    opacity: 1;
    overflow: visible;
  }

  .about-name {
    animation: none;
    display: flex;
    flex-direction: column;
    margin: 50px 0;
    position: static;
  }

  .first-name {
    align-self: flex-start;
    margin-bottom: 15px;
  }

  .last-name {
    align-self: flex-end;
  }

  .about-title {
    display: none;
  }
}

@media screen and (max-width: $mobile-width) {
  .about-page {
    padding: $container-mobile-padding;
  }

  .about-page .contact-links {
    flex-flow: wrap;

    .custom-link {
      width: 50%;
    }
  }

  .about-image,
  .about-content {
    width: 100%;
  }
}

@media screen and (max-width: $mini-mobile-width) {
  .two-rows-view {
    display: none;
  }

  .three-rows-view {
    display: block;
  }
}
